Package org.apache.solr.client.solrj.request.json

# Enum Class RangeFacetMap.OtherBuckets

java.lang.Object
java.lang.Enum<RangeFacetMap.OtherBuckets>
org.apache.solr.client.solrj.request.json.RangeFacetMap.OtherBuckets

All Implemented Interfaces:
  `Serializable`, `Comparable<RangeFacetMap.OtherBuckets>`, `java.lang.constant.Constable`

Enclosing class:
  `RangeFacetMap`

public static enum RangeFacetMap.OtherBuckets extends Enum<RangeFacetMap.OtherBuckets>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AFTER`
`ALL`
`BEFORE`
`BETWEEN`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static RangeFacetMap.OtherBuckets`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RangeFacetMap.OtherBuckets[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEFORE

public static final RangeFacetMap.OtherBuckets BEFORE

### AFTER

public static final RangeFacetMap.OtherBuckets AFTER

### BETWEEN

public static final RangeFacetMap.OtherBuckets BETWEEN

### NONE

public static final RangeFacetMap.OtherBuckets NONE

### ALL

public static final RangeFacetMap.OtherBuckets ALL

## Method Details

### values

public static RangeFacetMap.OtherBuckets[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RangeFacetMap.OtherBuckets valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<RangeFacetMap.OtherBuckets>`